package colorslider;

import java.awt.Color;
import java.awt.Dimension;
import javax.swing.JPanel;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;

/**
 * ColorPanel.java
 * Created by Stijn Strickx on Feb. 27 2008
 * Copyright 2008 Stijn Strickx, All rights reserved
 */
class ColorPanel extends JPanel implements ChangeListener {
    private Color color;
    private Slider slide1;
    private Slider slide2;
    private Slider slide3;
    private float value1;
    private float value2;
    private float value3;
    

    public ColorPanel(Slider slide1, Slider slide2, Slider slide3) {
        color = new Color((float)0.5,(float)0.5,(float)0.5);
        setBackground(color);
        setOpaque(true);
        setPreferredSize(new Dimension(100,100));
        this.slide1 = slide1;
        this.slide2 = slide2;
        this.slide3 = slide3;
    }

    public void stateChanged(ChangeEvent c) {
        value1 = (float)slide1.getValue()/100;
        value2 = (float)slide2.getValue()/100;
        value3 = (float)slide3.getValue()/100;
        Color color2 = new Color(value1,value2,value3);
        slide1.getNumberLabel().setText(valToString(value1));
        slide2.getNumberLabel().setText(valToString(value2));
        slide3.getNumberLabel().setText(valToString(value3));
        setBackground(color2);
    }
    public String valToString(float value){
        if((value*100)%10 < 1){
            return ("" + value + "0");
        }
        else{
            return ("" + value);
        }
    }
}
